This message usually appears when trying to use a subscription license in KeyShot 10.

Subscription licenses are only valid for KeyShot 11 and later platforms and cannot be used with older versions of KeyShot.
You can download the latest build at https://www.keyshot.com/resources/downloads/ and use the guide at How to activate a subscription license to register your license.


If you are using the latest KeyShot release and still getting this message, please let us know.